fix: initial 16KB pages support (#2523)
* fix: initial 16KB pages support all .so dependencies other than reown walletkit (`libuniffi_yttrium.so`) which is a prebuild are 16KB now * chore: update flutter to 3.29.3 * build: 16KB align go builds ci: update action to check for 16KB align [skip ci] * chore: bump flutter to 3.32.0 * fix: replace prebuilds with built versions for 16KB alignment fix: walletkit secure storage fix
cyan committed
Sep 23, 2025 at 04:30 UTC
e4726c2242023a4175d1c5cad654851235ada583
33 files changed
+480
-267
.github/workflows/pr_test_build_android.yml
+15
-1
@@ -9,7 +9,7 @@ jobs:
9
PR_test_build:
10
runs-on: linux-amd64
11
container:
12
- image: ghcr.io/cake-tech/cake_wallet:debian12-flutter3.29.3-ndkr28-go1.24.1-ruststablenightly
12
+ image: ghcr.io/cake-tech/cake_wallet:debian12-flutter3.32.0-ndkr28-go1.24.1-ruststablenightly
13
env:
14
STORE_PASS: test@cake_wallet
15
KEY_PASS: test@cake_wallet
@@ -230,6 +230,13 @@ jobs:
230
popd
231
popd
232
233
+ - name: Fetch reown dependencies
234
+ run: |
235
+ set -x -e
236
+ wget https://static.mrcyjanek.net/lfs/cake-yttrium/x86_64.so -O android/app/src/main/jniLibs/x86_64/libuniffi_yttrium.so
237
+ wget https://static.mrcyjanek.net/lfs/cake-yttrium/arm64-v8a.so -O android/app/src/main/jniLibs/arm64-v8a/libuniffi_yttrium.so
238
+ wget https://static.mrcyjanek.net/lfs/cake-yttrium/armeabi-v7a.so -O android/app/src/main/jniLibs/armeabi-v7a/libuniffi_yttrium.so
239
+
240
- name: Execute Build and Setup Commands
241
run: |
242
pushd scripts/android
@@ -326,3 +333,10 @@ jobs:
333
with:
334
path: ${{ github.workspace }}/build/app/outputs/flutter-apk
335
name: "android apk"
336
+
337
+ - name: 16KB align
338
+ run: |
339
+ cd build/app/outputs/flutter-apk
340
+ for i in arm64-v8a x86_64; do
341
+ ../../../../scripts/android/check_16kb_align.sh app-$i-release.apk
342
+ done
\ No newline at end of file
.github/workflows/pr_test_build_linux.yml
+1
-1
@@ -9,7 +9,7 @@ jobs:
9
PR_test_build:
10
runs-on: linux-amd64
11
container:
12
- image: ghcr.io/cake-tech/cake_wallet:debian12-flutter3.29.3-ndkr28-go1.24.1-ruststablenightly
12
+ image: ghcr.io/cake-tech/cake_wallet:debian12-flutter3.32.0-ndkr28-go1.24.1-ruststablenightly
13
env:
14
STORE_PASS: test@cake_wallet
15
KEY_PASS: test@cake_wallet
.gitignore
+1
@@ -205,6 +205,7 @@ ios/MoneroWallet.framework/MoneroWallet
205
ios/WowneroWallet.framework/WowneroWallet
206
ios/ZanoWallet.framework/ZanoWallet
207
*_libwallet2_api_c.dylib
208
+libuniffi_yttrium.so
209
210
.flatpak-builder
211
cake_wallet.flatpak
Dockerfile
+7
-7
@@ -1,4 +1,4 @@
1
-# docker buildx build --push --pull --platform linux/amd64,linux/arm64 . -f Dockerfile -t ghcr.io/cake-tech/cake_wallet:debian12-flutter3.27.4-ndkr28-go1.24.1-ruststablenightly
1
+# docker buildx build --push --pull --platform linux/amd64,linux/arm64 . -f Dockerfile -t ghcr.io/cake-tech/cake_wallet:debian12-flutter3.32.0-ndkr28-go1.24.1-ruststablenightly
2
3
# Heavily inspired by cirrusci images
4
# https://github.com/cirruslabs/docker-images-android/blob/master/sdk/tools/Dockerfile
@@ -15,7 +15,7 @@ LABEL org.opencontainers.image.source=https://github.com/cake-tech/cake_wallet
15
ENV GOLANG_VERSION=1.24.1
16
17
# Pin Flutter version to latest known-working version
18
-ENV FLUTTER_VERSION=3.27.4
18
+ENV FLUTTER_VERSION=3.32.0
19
20
# Pin Android Studio, platform, and build tools versions to latest known-working version
21
# Comes from https://developer.android.com/studio/#command-tools
@@ -50,13 +50,15 @@ RUN set -o xtrace \
50
# for x86 emulators
51
libatk-bridge2.0-0 libgdk-pixbuf2.0-0 libgtk-3-0 libnspr4 libnss3-dev libsqlite3-dev libxtst6 libxss1 lftp sqlite3 xxd \
52
# Linux desktop dependencies
53
- clang cmake libgtk-3-dev ninja-build pkg-config \
53
+ clang cmake libgtk-3-dev ninja-build pkg-config libsecret-1-0 libsecret-1-dev gir1.2-secret-1 \
54
# monero_c dependencies
55
autoconf automake build-essential ccache gperf libtool llvm \
56
# extra stuff for KVM
57
bridge-utils libvirt-clients libvirt-daemon-system qemu-kvm udev \
58
# Linux test dependencies
59
ffmpeg network-manager x11-utils xvfb psmisc \
60
+ # extra linux dependencies so flutter doesn't complain
61
+ mesa-utils \
62
# aarch64-linux-gnu dependencies
63
g++-aarch64-linux-gnu gcc-aarch64-linux-gnu \
64
# x86_64-linux-gnu dependencies
@@ -115,7 +117,7 @@ RUN ARCH=$(uname -m) && \
117
&& chmod +x /usr/bin/android-wait-for-emulator \
118
&& sdkmanager platform-tools \
119
&& mkdir -p ${HOME}/.android \
118
- && touch ${HOME}/.android/repositories.cfg \
120
+ && touch ${HOME}/.android/repositories.cfg
121
122
123
# Handle emulator not being available on linux/arm64 (https://issuetracker.google.com/issues/227219818)
@@ -141,9 +143,7 @@ RUN ARCH=$(uname -m) && \
143
ENV ANDROID_NDK_VERSION=28.2.13676358
144
RUN ARCH=$(uname -m) && \
145
if [ "$ARCH" != "x86_64" ]; then exit 0; fi \
144
- && yes | sdkmanager "ndk;$ANDROID_NDK_VERSION" \
145
- "ndk;27.0.12077973" \
146
- "ndk;27.2.12479018"
146
+ && yes | sdkmanager "ndk;$ANDROID_NDK_VERSION"
147
148
# Install dependencies for tests
149
# Comes from https://github.com/ReactiveCircus/android-emulator-runner
android/app/build.gradle
+1
@@ -102,6 +102,7 @@ flutter {
102
}
103
104
dependencies {
105
+ implementation 'net.java.dev.jna:jna:5.17.0@aar'
106
testImplementation 'junit:junit:4.12'
107
androidTestImplementation 'androidx.test:runner:1.3.0'
108
androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
cw_bitcoin/pubspec.lock
+6
-6
@@ -42,10 +42,10 @@ packages:
42
dependency: transitive
43
description:
44
name: async
45
- sha256: d2872f9c19731c2e5f10444b14686eb7cc85c76274bd6c16e1816bff9a3bab63
45
+ sha256: "758e6d74e971c3e5aceb4110bfd6698efc7f501675bcfe0c775459a8140750eb"
46
url: "https://pub.dev"
47
source: hosted
48
- version: "2.12.0"
48
+ version: "2.13.0"
49
bbqrdart:
50
dependency: "direct main"
51
description:
@@ -573,10 +573,10 @@ packages:
573
dependency: transitive
574
description:
575
name: leak_tracker
576
- sha256: c35baad643ba394b40aac41080300150a4f08fd0fd6a10378f8f7c6bc161acec
576
+ sha256: "6bb818ecbdffe216e81182c2f0714a2e62b593f4a4f13098713ff1685dfb6ab0"
577
url: "https://pub.dev"
578
source: hosted
579
- version: "10.0.8"
579
+ version: "10.0.9"
580
leak_tracker_flutter_testing:
581
dependency: transitive
582
description:
@@ -1153,10 +1153,10 @@ packages:
1153
dependency: transitive
1154
description:
1155
name: vm_service
1156
- sha256: "0968250880a6c5fe7edc067ed0a13d4bae1577fe2771dcf3010d52c4a9d3ca14"
1156
+ sha256: ddfa8d30d89985b96407efce8acbdd124701f96741f2d981ca860662f1c0dc02
1157
url: "https://pub.dev"
1158
source: hosted
1159
- version: "14.3.1"
1159
+ version: "15.0.0"
1160
watcher:
1161
dependency: "direct overridden"
1162
description:
cw_bitcoin/pubspec.yaml
+2
-1
@@ -16,7 +16,7 @@ dependencies:
16
http: ^1.1.0
17
mobx: ^2.0.7+4
18
flutter_mobx: ^2.0.6+1
19
- intl: ^0.19.0
19
+ intl: any
20
shared_preferences: ^2.0.15
21
cw_core:
22
path: ../cw_core
@@ -84,6 +84,7 @@ dependency_overrides:
84
ref: cake-update-v11
85
pointycastle: 3.7.4
86
ffi: 2.1.0
87
+ intl: any
88
89
# For information on the generic Dart part of this file, see the
90
# following page: https://dart.dev/tools/pub/pubspec
cw_core/pubspec.lock
+37
-37
@@ -42,10 +42,10 @@ packages:
42
dependency: transitive
43
description:
44
name: async
45
- sha256: "947bfcf187f74dbc5e146c9eb9c0f10c9f8b30743e341481c1e2ed3ecc18c20c"
45
+ sha256: "758e6d74e971c3e5aceb4110bfd6698efc7f501675bcfe0c775459a8140750eb"
46
url: "https://pub.dev"
47
source: hosted
48
- version: "2.11.0"
48
+ version: "2.13.0"
49
blockchain_utils:
50
dependency: transitive
51
description:
@@ -59,10 +59,10 @@ packages:
59
dependency: transitive
60
description:
61
name: boolean_selector
62
- sha256: "6cfb5af12253eaf2b368f07bacc5a80d1301a071c73360d746b7f2e32d762c66"
62
+ sha256: "8aab1771e1243a5063b8b0ff68042d67334e3feab9e95b9490f9a6ebf73b42ea"
63
url: "https://pub.dev"
64
source: hosted
65
- version: "2.1.1"
65
+ version: "2.1.2"
66
build:
67
dependency: transitive
68
description:
@@ -140,10 +140,10 @@ packages:
140
dependency: transitive
141
description:
142
name: characters
143
- sha256: "04a925763edad70e8443c99234dc3328f442e811f1d8fd1a72f1c8ad0f69a605"
143
+ sha256: f71061c654a3380576a52b451dd5532377954cf9dbd272a78fc8479606670803
144
url: "https://pub.dev"
145
source: hosted
146
- version: "1.3.0"
146
+ version: "1.4.0"
147
checked_yaml:
148
dependency: transitive
149
description:
@@ -156,10 +156,10 @@ packages:
156
dependency: transitive
157
description:
158
name: clock
159
- sha256: cb6d7f03e1de671e34607e909a7213e31d7752be4fb66a86d29fe1eb14bfb5cf
159
+ sha256: fddb70d9b5277016c77a80201021d40a2247104d9f4aa7bab7157b7e3f05b84b
160
url: "https://pub.dev"
161
source: hosted
162
- version: "1.1.1"
162
+ version: "1.1.2"
163
code_builder:
164
dependency: transitive
165
description:
@@ -172,10 +172,10 @@ packages:
172
dependency: transitive
173
description:
174
name: collection
175
- sha256: a1ace0a119f20aabc852d165077c036cd864315bd99b7eaa10a60100341941bf
175
+ sha256: "2f5709ae4d3d59dd8f7cd309b4e023046b57d8a6c82130785d2b0e5868084e76"
176
url: "https://pub.dev"
177
source: hosted
178
- version: "1.19.0"
178
+ version: "1.19.1"
179
convert:
180
dependency: transitive
181
description:
@@ -236,10 +236,10 @@ packages:
236
dependency: transitive
237
description:
238
name: fake_async
239
- sha256: "511392330127add0b769b75a987850d136345d9227c6b94c96a04cf4a391bf78"
239
+ sha256: "5368f224a74523e8d2e7399ea1638b37aecfca824a3cc4dfdf77bf1fa905ac44"
240
url: "https://pub.dev"
241
source: hosted
242
- version: "1.3.1"
242
+ version: "1.3.3"
243
ffi:
244
dependency: transitive
245
description:
@@ -382,18 +382,18 @@ packages:
382
dependency: transitive
383
description:
384
name: leak_tracker
385
- sha256: "7bb2830ebd849694d1ec25bf1f44582d6ac531a57a365a803a6034ff751d2d06"
385
+ sha256: "6bb818ecbdffe216e81182c2f0714a2e62b593f4a4f13098713ff1685dfb6ab0"
386
url: "https://pub.dev"
387
source: hosted
388
- version: "10.0.7"
388
+ version: "10.0.9"
389
leak_tracker_flutter_testing:
390
dependency: transitive
391
description:
392
name: leak_tracker_flutter_testing
393
- sha256: "9491a714cca3667b60b5c420da8217e6de0d1ba7a5ec322fab01758f6998f379"
393
+ sha256: f8b613e7e6a13ec79cfdc0e97638fddb3ab848452eff057653abd3edba760573
394
url: "https://pub.dev"
395
source: hosted
396
- version: "3.0.8"
396
+ version: "3.0.9"
397
leak_tracker_testing:
398
dependency: transitive
399
description:
@@ -422,10 +422,10 @@ packages:
422
dependency: transitive
423
description:
424
name: matcher
425
- sha256: d2323aa2060500f906aa31a895b4030b6da3ebdcc5619d14ce1aada65cd161cb
425
+ sha256: dc58c723c3c24bf8d3e2d3ad3f2f9d7bd9cf43ec6feaa64181775e60190153f2
426
url: "https://pub.dev"
427
source: hosted
428
- version: "0.12.16+1"
428
+ version: "0.12.17"
429
material_color_utilities:
430
dependency: transitive
431
description:
@@ -438,10 +438,10 @@ packages:
438
dependency: transitive
439
description:
440
name: meta
441
- sha256: bdb68674043280c3428e9ec998512fb681678676b3c54e773629ffe74419f8c7
441
+ sha256: e3641ec5d63ebf0d9b41bd43201a66e3fc79a65db5f61fc181f04cd27aab950c
442
url: "https://pub.dev"
443
source: hosted
444
- version: "1.15.0"
444
+ version: "1.16.0"
445
mime:
446
dependency: transitive
447
description:
@@ -495,10 +495,10 @@ packages:
495
dependency: transitive
496
description:
497
name: path
498
- sha256: "087ce49c3f0dc39180befefc60fdb4acd8f8620e5682fe2476afd0b3688bb4af"
498
+ sha256: "75cca69d1490965be98c73ceaea117e8a04dd21217b37b292c9ddbec0d955bc5"
499
url: "https://pub.dev"
500
source: hosted
501
- version: "1.9.0"
501
+ version: "1.9.1"
502
path_provider:
503
dependency: "direct main"
504
description:
@@ -670,26 +670,26 @@ packages:
670
dependency: transitive
671
description:
672
name: source_span
673
- sha256: "53e943d4206a5e30df338fd4c6e7a077e02254531b138a15aec3bd143c1a8b3c"
673
+ sha256: "254ee5351d6cb365c859e20ee823c3bb479bf4a293c22d17a9f1bf144ce86f7c"
674
url: "https://pub.dev"
675
source: hosted
676
- version: "1.10.0"
676
+ version: "1.10.1"
677
stack_trace:
678
dependency: transitive
679
description:
680
name: stack_trace
681
- sha256: "9f47fd3630d76be3ab26f0ee06d213679aa425996925ff3feffdec504931c377"
681
+ sha256: "8b27215b45d22309b5cddda1aa2b19bdfec9df0e765f2de506401c071d38d1b1"
682
url: "https://pub.dev"
683
source: hosted
684
- version: "1.12.0"
684
+ version: "1.12.1"
685
stream_channel:
686
dependency: transitive
687
description:
688
name: stream_channel
689
- sha256: ba2aa5d8cc609d96bbb2899c28934f9e1af5cddbd60a827822ea467161eb54e7
689
+ sha256: "969e04c80b8bcdf826f8f16579c7b14d780458bd97f56d107d3950fdbeef059d"
690
url: "https://pub.dev"
691
source: hosted
692
- version: "2.1.2"
692
+ version: "2.1.4"
693
stream_transform:
694
dependency: transitive
695
description:
@@ -702,26 +702,26 @@ packages:
702
dependency: transitive
703
description:
704
name: string_scanner
705
- sha256: "688af5ed3402a4bde5b3a6c15fd768dbf2621a614950b17f04626c431ab3c4c3"
705
+ sha256: "921cd31725b72fe181906c6a94d987c78e3b98c2e205b397ea399d4054872b43"
706
url: "https://pub.dev"
707
source: hosted
708
- version: "1.3.0"
708
+ version: "1.4.1"
709
term_glyph:
710
dependency: transitive
711
description:
712
name: term_glyph
713
- sha256: a29248a84fbb7c79282b40b8c72a1209db169a2e0542bce341da992fe1bc7e84
713
+ sha256: "7f554798625ea768a7518313e58f83891c7f5024f88e46e7182a4558850a4b8e"
714
url: "https://pub.dev"
715
source: hosted
716
- version: "1.2.1"
716
+ version: "1.2.2"
717
test_api:
718
dependency: transitive
719
description:
720
name: test_api
721
- sha256: "664d3a9a64782fcdeb83ce9c6b39e78fd2971d4e37827b9b06c3aa1edc5e760c"
721
+ sha256: fb31f383e2ee25fbbfe06b40fe21e1e458d14080e3c67e7ba0acfde4df4e0bbd
722
url: "https://pub.dev"
723
source: hosted
724
- version: "0.7.3"
724
+ version: "0.7.4"
725
timing:
726
dependency: transitive
727
description:
@@ -773,10 +773,10 @@ packages:
773
dependency: transitive
774
description:
775
name: vm_service
776
- sha256: f6be3ed8bd01289b34d679c2b62226f63c0e69f9fd2e50a6b3c1c729a961041b
776
+ sha256: ddfa8d30d89985b96407efce8acbdd124701f96741f2d981ca860662f1c0dc02
777
url: "https://pub.dev"
778
source: hosted
779
- version: "14.3.0"
779
+ version: "15.0.0"
780
watcher:
781
dependency: "direct overridden"
782
description:
@@ -826,5 +826,5 @@ packages:
826
source: hosted
827
version: "3.1.3"
828
sdks:
829
- dart: ">=3.6.2 <4.0.0"
829
+ dart: ">=3.7.0-0 <4.0.0"
830
flutter: ">=3.27.0"
cw_core/pubspec.yaml
+1
-1
@@ -17,7 +17,7 @@ dependencies:
17
path_provider: ^2.0.11
18
mobx: ^2.0.7+4
19
flutter_mobx: ^2.0.6+1
20
- intl: ^0.19.0
20
+ intl: any
21
encrypt: ^5.0.1
22
decimal: ^2.3.3
23
cake_backup:
cw_decred/pubspec.lock
+37
-37
@@ -42,10 +42,10 @@ packages:
42
dependency: transitive
43
description:
44
name: async
45
- sha256: "947bfcf187f74dbc5e146c9eb9c0f10c9f8b30743e341481c1e2ed3ecc18c20c"
45
+ sha256: "758e6d74e971c3e5aceb4110bfd6698efc7f501675bcfe0c775459a8140750eb"
46
url: "https://pub.dev"
47
source: hosted
48
- version: "2.11.0"
48
+ version: "2.13.0"
49
blockchain_utils:
50
dependency: transitive
51
description:
@@ -59,10 +59,10 @@ packages:
59
dependency: transitive
60
description:
61
name: boolean_selector
62
- sha256: "6cfb5af12253eaf2b368f07bacc5a80d1301a071c73360d746b7f2e32d762c66"
62
+ sha256: "8aab1771e1243a5063b8b0ff68042d67334e3feab9e95b9490f9a6ebf73b42ea"
63
url: "https://pub.dev"
64
source: hosted
65
- version: "2.1.1"
65
+ version: "2.1.2"
66
build:
67
dependency: transitive
68
description:
@@ -140,10 +140,10 @@ packages:
140
dependency: transitive
141
description:
142
name: characters
143
- sha256: "04a925763edad70e8443c99234dc3328f442e811f1d8fd1a72f1c8ad0f69a605"
143
+ sha256: f71061c654a3380576a52b451dd5532377954cf9dbd272a78fc8479606670803
144
url: "https://pub.dev"
145
source: hosted
146
- version: "1.3.0"
146
+ version: "1.4.0"
147
checked_yaml:
148
dependency: transitive
149
description:
@@ -164,10 +164,10 @@ packages:
164
dependency: transitive
165
description:
166
name: clock
167
- sha256: cb6d7f03e1de671e34607e909a7213e31d7752be4fb66a86d29fe1eb14bfb5cf
167
+ sha256: fddb70d9b5277016c77a80201021d40a2247104d9f4aa7bab7157b7e3f05b84b
168
url: "https://pub.dev"
169
source: hosted
170
- version: "1.1.1"
170
+ version: "1.1.2"
171
code_builder:
172
dependency: transitive
173
description:
@@ -180,10 +180,10 @@ packages:
180
dependency: transitive
181
description:
182
name: collection
183
- sha256: a1ace0a119f20aabc852d165077c036cd864315bd99b7eaa10a60100341941bf
183
+ sha256: "2f5709ae4d3d59dd8f7cd309b4e023046b57d8a6c82130785d2b0e5868084e76"
184
url: "https://pub.dev"
185
source: hosted
186
- version: "1.19.0"
186
+ version: "1.19.1"
187
convert:
188
dependency: transitive
189
description:
@@ -251,10 +251,10 @@ packages:
251
dependency: transitive
252
description:
253
name: fake_async
254
- sha256: "511392330127add0b769b75a987850d136345d9227c6b94c96a04cf4a391bf78"
254
+ sha256: "5368f224a74523e8d2e7399ea1638b37aecfca824a3cc4dfdf77bf1fa905ac44"
255
url: "https://pub.dev"
256
source: hosted
257
- version: "1.3.1"
257
+ version: "1.3.3"
258
ffi:
259
dependency: transitive
260
description:
@@ -405,18 +405,18 @@ packages:
405
dependency: transitive
406
description:
407
name: leak_tracker
408
- sha256: "7bb2830ebd849694d1ec25bf1f44582d6ac531a57a365a803a6034ff751d2d06"
408
+ sha256: "6bb818ecbdffe216e81182c2f0714a2e62b593f4a4f13098713ff1685dfb6ab0"
409
url: "https://pub.dev"
410
source: hosted
411
- version: "10.0.7"
411
+ version: "10.0.9"
412
leak_tracker_flutter_testing:
413
dependency: transitive
414
description:
415
name: leak_tracker_flutter_testing
416
- sha256: "9491a714cca3667b60b5c420da8217e6de0d1ba7a5ec322fab01758f6998f379"
416
+ sha256: f8b613e7e6a13ec79cfdc0e97638fddb3ab848452eff057653abd3edba760573
417
url: "https://pub.dev"
418
source: hosted
419
- version: "3.0.8"
419
+ version: "3.0.9"
420
leak_tracker_testing:
421
dependency: transitive
422
description:
@@ -445,10 +445,10 @@ packages:
445
dependency: transitive
446
description:
447
name: matcher
448
- sha256: d2323aa2060500f906aa31a895b4030b6da3ebdcc5619d14ce1aada65cd161cb
448
+ sha256: dc58c723c3c24bf8d3e2d3ad3f2f9d7bd9cf43ec6feaa64181775e60190153f2
449
url: "https://pub.dev"
450
source: hosted
451
- version: "0.12.16+1"
451
+ version: "0.12.17"
452
material_color_utilities:
453
dependency: transitive
454
description:
@@ -461,10 +461,10 @@ packages:
461
dependency: transitive
462
description:
463
name: meta
464
- sha256: bdb68674043280c3428e9ec998512fb681678676b3c54e773629ffe74419f8c7
464
+ sha256: e3641ec5d63ebf0d9b41bd43201a66e3fc79a65db5f61fc181f04cd27aab950c
465
url: "https://pub.dev"
466
source: hosted
467
- version: "1.15.0"
467
+ version: "1.16.0"
468
mime:
469
dependency: transitive
470
description:
@@ -518,10 +518,10 @@ packages:
518
dependency: transitive
519
description:
520
name: path
521
- sha256: "087ce49c3f0dc39180befefc60fdb4acd8f8620e5682fe2476afd0b3688bb4af"
521
+ sha256: "75cca69d1490965be98c73ceaea117e8a04dd21217b37b292c9ddbec0d955bc5"
522
url: "https://pub.dev"
523
source: hosted
524
- version: "1.9.0"
524
+ version: "1.9.1"
525
path_provider:
526
dependency: transitive
527
description:
@@ -701,26 +701,26 @@ packages:
701
dependency: transitive
702
description:
703
name: source_span
704
- sha256: "53e943d4206a5e30df338fd4c6e7a077e02254531b138a15aec3bd143c1a8b3c"
704
+ sha256: "254ee5351d6cb365c859e20ee823c3bb479bf4a293c22d17a9f1bf144ce86f7c"
705
url: "https://pub.dev"
706
source: hosted
707
- version: "1.10.0"
707
+ version: "1.10.1"
708
stack_trace:
709
dependency: transitive
710
description:
711
name: stack_trace
712
- sha256: "9f47fd3630d76be3ab26f0ee06d213679aa425996925ff3feffdec504931c377"
712
+ sha256: "8b27215b45d22309b5cddda1aa2b19bdfec9df0e765f2de506401c071d38d1b1"
713
url: "https://pub.dev"
714
source: hosted
715
- version: "1.12.0"
715
+ version: "1.12.1"
716
stream_channel:
717
dependency: transitive
718
description:
719
name: stream_channel
720
- sha256: ba2aa5d8cc609d96bbb2899c28934f9e1af5cddbd60a827822ea467161eb54e7
720
+ sha256: "969e04c80b8bcdf826f8f16579c7b14d780458bd97f56d107d3950fdbeef059d"
721
url: "https://pub.dev"
722
source: hosted
723
- version: "2.1.2"
723
+ version: "2.1.4"
724
stream_transform:
725
dependency: transitive
726
description:
@@ -733,26 +733,26 @@ packages:
733
dependency: transitive
734
description:
735
name: string_scanner
736
- sha256: "688af5ed3402a4bde5b3a6c15fd768dbf2621a614950b17f04626c431ab3c4c3"
736
+ sha256: "921cd31725b72fe181906c6a94d987c78e3b98c2e205b397ea399d4054872b43"
737
url: "https://pub.dev"
738
source: hosted
739
- version: "1.3.0"
739
+ version: "1.4.1"
740
term_glyph:
741
dependency: transitive
742
description:
743
name: term_glyph
744
- sha256: a29248a84fbb7c79282b40b8c72a1209db169a2e0542bce341da992fe1bc7e84
744
+ sha256: "7f554798625ea768a7518313e58f83891c7f5024f88e46e7182a4558850a4b8e"
745
url: "https://pub.dev"
746
source: hosted
747
- version: "1.2.1"
747
+ version: "1.2.2"
748
test_api:
749
dependency: transitive
750
description:
751
name: test_api
752
- sha256: "664d3a9a64782fcdeb83ce9c6b39e78fd2971d4e37827b9b06c3aa1edc5e760c"
752
+ sha256: fb31f383e2ee25fbbfe06b40fe21e1e458d14080e3c67e7ba0acfde4df4e0bbd
753
url: "https://pub.dev"
754
source: hosted
755
- version: "0.7.3"
755
+ version: "0.7.4"
756
timing:
757
dependency: transitive
758
description:
@@ -804,10 +804,10 @@ packages:
804
dependency: transitive
805
description:
806
name: vm_service
807
- sha256: f6be3ed8bd01289b34d679c2b62226f63c0e69f9fd2e50a6b3c1c729a961041b
807
+ sha256: ddfa8d30d89985b96407efce8acbdd124701f96741f2d981ca860662f1c0dc02
808
url: "https://pub.dev"
809
source: hosted
810
- version: "14.3.0"
810
+ version: "15.0.0"
811
watcher:
812
dependency: transitive
813
description:
@@ -865,5 +865,5 @@ packages:
865
source: hosted
866
version: "2.2.2"
867
sdks:
868
- dart: ">=3.6.2 <4.0.0"
868
+ dart: ">=3.7.0-0 <4.0.0"
869
flutter: ">=3.24.0"
cw_monero/pubspec.lock
+39
-39
@@ -42,10 +42,10 @@ packages:
42
dependency: transitive
43
description:
44
name: async
45
- sha256: "947bfcf187f74dbc5e146c9eb9c0f10c9f8b30743e341481c1e2ed3ecc18c20c"
45
+ sha256: "758e6d74e971c3e5aceb4110bfd6698efc7f501675bcfe0c775459a8140750eb"
46
url: "https://pub.dev"
47
source: hosted
48
- version: "2.11.0"
48
+ version: "2.13.0"
49
bip32:
50
dependency: "direct main"
51
description:
@@ -83,10 +83,10 @@ packages:
83
dependency: transitive
84
description:
85
name: boolean_selector
86
- sha256: "6cfb5af12253eaf2b368f07bacc5a80d1301a071c73360d746b7f2e32d762c66"
86
+ sha256: "8aab1771e1243a5063b8b0ff68042d67334e3feab9e95b9490f9a6ebf73b42ea"
87
url: "https://pub.dev"
88
source: hosted
89
- version: "2.1.1"
89
+ version: "2.1.2"
90
bs58check:
91
dependency: transitive
92
description:
@@ -172,10 +172,10 @@ packages:
172
dependency: transitive
173
description:
174
name: characters
175
- sha256: "04a925763edad70e8443c99234dc3328f442e811f1d8fd1a72f1c8ad0f69a605"
175
+ sha256: f71061c654a3380576a52b451dd5532377954cf9dbd272a78fc8479606670803
176
url: "https://pub.dev"
177
source: hosted
178
- version: "1.3.0"
178
+ version: "1.4.0"
179
checked_yaml:
180
dependency: transitive
181
description:
@@ -188,10 +188,10 @@ packages:
188
dependency: transitive
189
description:
190
name: clock
191
- sha256: cb6d7f03e1de671e34607e909a7213e31d7752be4fb66a86d29fe1eb14bfb5cf
191
+ sha256: fddb70d9b5277016c77a80201021d40a2247104d9f4aa7bab7157b7e3f05b84b
192
url: "https://pub.dev"
193
source: hosted
194
- version: "1.1.1"
194
+ version: "1.1.2"
195
code_builder:
196
dependency: transitive
197
description:
@@ -204,10 +204,10 @@ packages:
204
dependency: transitive
205
description:
206
name: collection
207
- sha256: a1ace0a119f20aabc852d165077c036cd864315bd99b7eaa10a60100341941bf
207
+ sha256: "2f5709ae4d3d59dd8f7cd309b4e023046b57d8a6c82130785d2b0e5868084e76"
208
url: "https://pub.dev"
209
source: hosted
210
- version: "1.19.0"
210
+ version: "1.19.1"
211
convert:
212
dependency: transitive
213
description:
@@ -283,10 +283,10 @@ packages:
283
dependency: transitive
284
description:
285
name: fake_async
286
- sha256: "511392330127add0b769b75a987850d136345d9227c6b94c96a04cf4a391bf78"
286
+ sha256: "5368f224a74523e8d2e7399ea1638b37aecfca824a3cc4dfdf77bf1fa905ac44"
287
url: "https://pub.dev"
288
source: hosted
289
- version: "1.3.1"
289
+ version: "1.3.3"
290
ffi:
291
dependency: "direct main"
292
description:
@@ -461,18 +461,18 @@ packages:
461
dependency: transitive
462
description:
463
name: leak_tracker
464
- sha256: "7bb2830ebd849694d1ec25bf1f44582d6ac531a57a365a803a6034ff751d2d06"
464
+ sha256: "6bb818ecbdffe216e81182c2f0714a2e62b593f4a4f13098713ff1685dfb6ab0"
465
url: "https://pub.dev"
466
source: hosted
467
- version: "10.0.7"
467
+ version: "10.0.9"
468
leak_tracker_flutter_testing:
469
dependency: transitive
470
description:
471
name: leak_tracker_flutter_testing
472
- sha256: "9491a714cca3667b60b5c420da8217e6de0d1ba7a5ec322fab01758f6998f379"
472
+ sha256: f8b613e7e6a13ec79cfdc0e97638fddb3ab848452eff057653abd3edba760573
473
url: "https://pub.dev"
474
source: hosted
475
- version: "3.0.8"
475
+ version: "3.0.9"
476
leak_tracker_testing:
477
dependency: transitive
478
description:
@@ -517,10 +517,10 @@ packages:
517
dependency: transitive
518
description:
519
name: matcher
520
- sha256: d2323aa2060500f906aa31a895b4030b6da3ebdcc5619d14ce1aada65cd161cb
520
+ sha256: dc58c723c3c24bf8d3e2d3ad3f2f9d7bd9cf43ec6feaa64181775e60190153f2
521
url: "https://pub.dev"
522
source: hosted
523
- version: "0.12.16+1"
523
+ version: "0.12.17"
524
material_color_utilities:
525
dependency: transitive
526
description:
@@ -533,10 +533,10 @@ packages:
533
dependency: transitive
534
description:
535
name: meta
536
- sha256: bdb68674043280c3428e9ec998512fb681678676b3c54e773629ffe74419f8c7
536
+ sha256: e3641ec5d63ebf0d9b41bd43201a66e3fc79a65db5f61fc181f04cd27aab950c
537
url: "https://pub.dev"
538
source: hosted
539
- version: "1.15.0"
539
+ version: "1.16.0"
540
mime:
541
dependency: transitive
542
description:
@@ -573,8 +573,8 @@ packages:
573
dependency: "direct main"
574
description:
575
path: "impls/monero.dart"
576
- ref: "5225c47e5033d46bfd60e612e87b24c562f67efa"
577
- resolved-ref: "5225c47e5033d46bfd60e612e87b24c562f67efa"
576
+ ref: "07f7a7f80735130ebfa5842ddee5139076408c0d"
577
+ resolved-ref: "07f7a7f80735130ebfa5842ddee5139076408c0d"
578
url: "https://github.com/mrcyjanek/monero_c"
579
source: git
580
version: "0.0.0"
@@ -615,10 +615,10 @@ packages:
615
dependency: transitive
616
description:
617
name: path
618
- sha256: "087ce49c3f0dc39180befefc60fdb4acd8f8620e5682fe2476afd0b3688bb4af"
618
+ sha256: "75cca69d1490965be98c73ceaea117e8a04dd21217b37b292c9ddbec0d955bc5"
619
url: "https://pub.dev"
620
source: hosted
621
- version: "1.9.0"
621
+ version: "1.9.1"
622
path_provider:
623
dependency: "direct main"
624
description:
@@ -814,26 +814,26 @@ packages:
814
dependency: transitive
815
description:
816
name: source_span
817
- sha256: "53e943d4206a5e30df338fd4c6e7a077e02254531b138a15aec3bd143c1a8b3c"
817
+ sha256: "254ee5351d6cb365c859e20ee823c3bb479bf4a293c22d17a9f1bf144ce86f7c"
818
url: "https://pub.dev"
819
source: hosted
820
- version: "1.10.0"
820
+ version: "1.10.1"
821
stack_trace:
822
dependency: transitive
823
description:
824
name: stack_trace
825
- sha256: "9f47fd3630d76be3ab26f0ee06d213679aa425996925ff3feffdec504931c377"
825
+ sha256: "8b27215b45d22309b5cddda1aa2b19bdfec9df0e765f2de506401c071d38d1b1"
826
url: "https://pub.dev"
827
source: hosted
828
- version: "1.12.0"
828
+ version: "1.12.1"
829
stream_channel:
830
dependency: transitive
831
description:
832
name: stream_channel
833
- sha256: ba2aa5d8cc609d96bbb2899c28934f9e1af5cddbd60a827822ea467161eb54e7
833
+ sha256: "969e04c80b8bcdf826f8f16579c7b14d780458bd97f56d107d3950fdbeef059d"
834
url: "https://pub.dev"
835
source: hosted
836
- version: "2.1.2"
836
+ version: "2.1.4"
837
stream_transform:
838
dependency: transitive
839
description:
@@ -846,26 +846,26 @@ packages:
846
dependency: transitive
847
description:
848
name: string_scanner
849
- sha256: "688af5ed3402a4bde5b3a6c15fd768dbf2621a614950b17f04626c431ab3c4c3"
849
+ sha256: "921cd31725b72fe181906c6a94d987c78e3b98c2e205b397ea399d4054872b43"
850
url: "https://pub.dev"
851
source: hosted
852
- version: "1.3.0"
852
+ version: "1.4.1"
853
term_glyph:
854
dependency: transitive
855
description:
856
name: term_glyph
857
- sha256: a29248a84fbb7c79282b40b8c72a1209db169a2e0542bce341da992fe1bc7e84
857
+ sha256: "7f554798625ea768a7518313e58f83891c7f5024f88e46e7182a4558850a4b8e"
858
url: "https://pub.dev"
859
source: hosted
860
- version: "1.2.1"
860
+ version: "1.2.2"
861
test_api:
862
dependency: transitive
863
description:
864
name: test_api
865
- sha256: "664d3a9a64782fcdeb83ce9c6b39e78fd2971d4e37827b9b06c3aa1edc5e760c"
865
+ sha256: fb31f383e2ee25fbbfe06b40fe21e1e458d14080e3c67e7ba0acfde4df4e0bbd
866
url: "https://pub.dev"
867
source: hosted
868
- version: "0.7.3"
868
+ version: "0.7.4"
869
timing:
870
dependency: transitive
871
description:
@@ -933,10 +933,10 @@ packages:
933
dependency: transitive
934
description:
935
name: vm_service
936
- sha256: f6be3ed8bd01289b34d679c2b62226f63c0e69f9fd2e50a6b3c1c729a961041b
936
+ sha256: ddfa8d30d89985b96407efce8acbdd124701f96741f2d981ca860662f1c0dc02
937
url: "https://pub.dev"
938
source: hosted
939
- version: "14.3.0"
939
+ version: "15.0.0"
940
watcher:
941
dependency: "direct overridden"
942
description:
@@ -994,5 +994,5 @@ packages:
994
source: hosted
995
version: "3.1.3"
996
sdks:
997
- dart: ">=3.6.2 <4.0.0"
997
+ dart: ">=3.7.0-0 <4.0.0"
998
flutter: ">=3.24.0"
cw_monero/pubspec.yaml
+2
-2
@@ -18,7 +18,7 @@ dependencies:
18
path_provider: ^2.0.11
19
mobx: ^2.0.7+4
20
flutter_mobx: ^2.0.6+1
21
- intl: ^0.19.0
21
+ intl: any
22
encrypt: ^5.0.1
23
polyseed: ^0.0.7
24
cw_core:
@@ -26,7 +26,7 @@ dependencies:
26
monero:
27
git:
28
url: https://github.com/mrcyjanek/monero_c
29
- ref: 5225c47e5033d46bfd60e612e87b24c562f67efa
29
+ ref: 07f7a7f80735130ebfa5842ddee5139076408c0d
30
path: impls/monero.dart
31
mutex: ^3.1.0
32
ledger_flutter_plus: ^1.4.1
cw_mweb/android/src/main/jniLibs/.gitignore
+1
-1
@@ -1,2 +1,2 @@
1
libmweb.h
2
-libmweb.so
\ No newline at end of file
2
+libmweb.so
cw_nano/pubspec.lock
+37
-37
@@ -42,10 +42,10 @@ packages:
42
dependency: transitive
43
description:
44
name: async
45
- sha256: "947bfcf187f74dbc5e146c9eb9c0f10c9f8b30743e341481c1e2ed3ecc18c20c"
45
+ sha256: "758e6d74e971c3e5aceb4110bfd6698efc7f501675bcfe0c775459a8140750eb"
46
url: "https://pub.dev"
47
source: hosted
48
- version: "2.11.0"
48
+ version: "2.13.0"
49
bip32:
50
dependency: "direct main"
51
description:
@@ -75,10 +75,10 @@ packages:
75
dependency: transitive
76
description:
77
name: boolean_selector
78
- sha256: "6cfb5af12253eaf2b368f07bacc5a80d1301a071c73360d746b7f2e32d762c66"
78
+ sha256: "8aab1771e1243a5063b8b0ff68042d67334e3feab9e95b9490f9a6ebf73b42ea"
79
url: "https://pub.dev"
80
source: hosted
81
- version: "2.1.1"
81
+ version: "2.1.2"
82
bs58check:
83
dependency: transitive
84
description:
@@ -164,10 +164,10 @@ packages:
164
dependency: transitive
165
description:
166
name: characters
167
- sha256: "04a925763edad70e8443c99234dc3328f442e811f1d8fd1a72f1c8ad0f69a605"
167
+ sha256: f71061c654a3380576a52b451dd5532377954cf9dbd272a78fc8479606670803
168
url: "https://pub.dev"
169
source: hosted
170
- version: "1.3.0"
170
+ version: "1.4.0"
171
checked_yaml:
172
dependency: transitive
173
description:
@@ -180,10 +180,10 @@ packages:
180
dependency: transitive
181
description:
182
name: clock
183
- sha256: cb6d7f03e1de671e34607e909a7213e31d7752be4fb66a86d29fe1eb14bfb5cf
183
+ sha256: fddb70d9b5277016c77a80201021d40a2247104d9f4aa7bab7157b7e3f05b84b
184
url: "https://pub.dev"
185
source: hosted
186
- version: "1.1.1"
186
+ version: "1.1.2"
187
code_builder:
188
dependency: transitive
189
description:
@@ -196,10 +196,10 @@ packages:
196
dependency: transitive
197
description:
198
name: collection
199
- sha256: a1ace0a119f20aabc852d165077c036cd864315bd99b7eaa10a60100341941bf
199
+ sha256: "2f5709ae4d3d59dd8f7cd309b4e023046b57d8a6c82130785d2b0e5868084e76"
200
url: "https://pub.dev"
201
source: hosted
202
- version: "1.19.0"
202
+ version: "1.19.1"
203
convert:
204
dependency: transitive
205
description:
@@ -275,10 +275,10 @@ packages:
275
dependency: transitive
276
description:
277
name: fake_async
278
- sha256: "511392330127add0b769b75a987850d136345d9227c6b94c96a04cf4a391bf78"
278
+ sha256: "5368f224a74523e8d2e7399ea1638b37aecfca824a3cc4dfdf77bf1fa905ac44"
279
url: "https://pub.dev"
280
source: hosted
281
- version: "1.3.1"
281
+ version: "1.3.3"
282
ffi:
283
dependency: transitive
284
description:
@@ -442,18 +442,18 @@ packages:
442
dependency: transitive
443
description:
444
name: leak_tracker
445
- sha256: "7bb2830ebd849694d1ec25bf1f44582d6ac531a57a365a803a6034ff751d2d06"
445
+ sha256: "6bb818ecbdffe216e81182c2f0714a2e62b593f4a4f13098713ff1685dfb6ab0"
446
url: "https://pub.dev"
447
source: hosted
448
- version: "10.0.7"
448
+ version: "10.0.9"
449
leak_tracker_flutter_testing:
450
dependency: transitive
451
description:
452
name: leak_tracker_flutter_testing
453
- sha256: "9491a714cca3667b60b5c420da8217e6de0d1ba7a5ec322fab01758f6998f379"
453
+ sha256: f8b613e7e6a13ec79cfdc0e97638fddb3ab848452eff057653abd3edba760573
454
url: "https://pub.dev"
455
source: hosted
456
- version: "3.0.8"
456
+ version: "3.0.9"
457
leak_tracker_testing:
458
dependency: transitive
459
description:
@@ -490,10 +490,10 @@ packages:
490
dependency: transitive
491
description:
492
name: matcher
493
- sha256: d2323aa2060500f906aa31a895b4030b6da3ebdcc5619d14ce1aada65cd161cb
493
+ sha256: dc58c723c3c24bf8d3e2d3ad3f2f9d7bd9cf43ec6feaa64181775e60190153f2
494
url: "https://pub.dev"
495
source: hosted
496
- version: "0.12.16+1"
496
+ version: "0.12.17"
497
material_color_utilities:
498
dependency: transitive
499
description:
@@ -506,10 +506,10 @@ packages:
506
dependency: transitive
507
description:
508
name: meta
509
- sha256: bdb68674043280c3428e9ec998512fb681678676b3c54e773629ffe74419f8c7
509
+ sha256: e3641ec5d63ebf0d9b41bd43201a66e3fc79a65db5f61fc181f04cd27aab950c
510
url: "https://pub.dev"
511
source: hosted
512
- version: "1.15.0"
512
+ version: "1.16.0"
513
mime:
514
dependency: transitive
515
description:
@@ -580,10 +580,10 @@ packages:
580
dependency: transitive
581
description:
582
name: path
583
- sha256: "087ce49c3f0dc39180befefc60fdb4acd8f8620e5682fe2476afd0b3688bb4af"
583
+ sha256: "75cca69d1490965be98c73ceaea117e8a04dd21217b37b292c9ddbec0d955bc5"
584
url: "https://pub.dev"
585
source: hosted
586
- version: "1.9.0"
586
+ version: "1.9.1"
587
path_provider:
588
dependency: transitive
589
description:
@@ -819,26 +819,26 @@ packages:
819
dependency: transitive
820
description:
821
name: source_span
822
- sha256: "53e943d4206a5e30df338fd4c6e7a077e02254531b138a15aec3bd143c1a8b3c"
822
+ sha256: "254ee5351d6cb365c859e20ee823c3bb479bf4a293c22d17a9f1bf144ce86f7c"
823
url: "https://pub.dev"
824
source: hosted
825
- version: "1.10.0"
825
+ version: "1.10.1"
826
stack_trace:
827
dependency: transitive
828
description:
829
name: stack_trace
830
- sha256: "9f47fd3630d76be3ab26f0ee06d213679aa425996925ff3feffdec504931c377"
830
+ sha256: "8b27215b45d22309b5cddda1aa2b19bdfec9df0e765f2de506401c071d38d1b1"
831
url: "https://pub.dev"
832
source: hosted
833
- version: "1.12.0"
833
+ version: "1.12.1"
834
stream_channel:
835
dependency: transitive
836
description:
837
name: stream_channel
838
- sha256: ba2aa5d8cc609d96bbb2899c28934f9e1af5cddbd60a827822ea467161eb54e7
838
+ sha256: "969e04c80b8bcdf826f8f16579c7b14d780458bd97f56d107d3950fdbeef059d"
839
url: "https://pub.dev"
840
source: hosted
841
- version: "2.1.2"
841
+ version: "2.1.4"
842
stream_transform:
843
dependency: transitive
844
description:
@@ -851,26 +851,26 @@ packages:
851
dependency: transitive
852
description:
853
name: string_scanner
854
- sha256: "688af5ed3402a4bde5b3a6c15fd768dbf2621a614950b17f04626c431ab3c4c3"
854
+ sha256: "921cd31725b72fe181906c6a94d987c78e3b98c2e205b397ea399d4054872b43"
855
url: "https://pub.dev"
856
source: hosted
857
- version: "1.3.0"
857
+ version: "1.4.1"
858
term_glyph:
859
dependency: transitive
860
description:
861
name: term_glyph
862
- sha256: a29248a84fbb7c79282b40b8c72a1209db169a2e0542bce341da992fe1bc7e84
862
+ sha256: "7f554798625ea768a7518313e58f83891c7f5024f88e46e7182a4558850a4b8e"
863
url: "https://pub.dev"
864
source: hosted
865
- version: "1.2.1"
865
+ version: "1.2.2"
866
test_api:
867
dependency: transitive
868
description:
869
name: test_api
870
- sha256: "664d3a9a64782fcdeb83ce9c6b39e78fd2971d4e37827b9b06c3aa1edc5e760c"
870
+ sha256: fb31f383e2ee25fbbfe06b40fe21e1e458d14080e3c67e7ba0acfde4df4e0bbd
871
url: "https://pub.dev"
872
source: hosted
873
- version: "0.7.3"
873
+ version: "0.7.4"
874
timing:
875
dependency: transitive
876
description:
@@ -922,10 +922,10 @@ packages:
922
dependency: transitive
923
description:
924
name: vm_service
925
- sha256: f6be3ed8bd01289b34d679c2b62226f63c0e69f9fd2e50a6b3c1c729a961041b
925
+ sha256: ddfa8d30d89985b96407efce8acbdd124701f96741f2d981ca860662f1c0dc02
926
url: "https://pub.dev"
927
source: hosted
928
- version: "14.3.0"
928
+ version: "15.0.0"
929
watcher:
930
dependency: "direct overridden"
931
description:
@@ -975,5 +975,5 @@ packages:
975
source: hosted
976
version: "3.1.3"
977
sdks:
978
- dart: ">=3.6.2 <4.0.0"
978
+ dart: ">=3.7.0-0 <4.0.0"
979
flutter: ">=3.27.0"
cw_wownero/pubspec.lock
+39
-39
@@ -42,10 +42,10 @@ packages:
42
dependency: transitive
43
description:
44
name: async
45
- sha256: "947bfcf187f74dbc5e146c9eb9c0f10c9f8b30743e341481c1e2ed3ecc18c20c"
45
+ sha256: "758e6d74e971c3e5aceb4110bfd6698efc7f501675bcfe0c775459a8140750eb"
46
url: "https://pub.dev"
47
source: hosted
48
- version: "2.11.0"
48
+ version: "2.13.0"
49
blockchain_utils:
50
dependency: transitive
51
description:
@@ -59,10 +59,10 @@ packages:
59
dependency: transitive
60
description:
61
name: boolean_selector
62
- sha256: "6cfb5af12253eaf2b368f07bacc5a80d1301a071c73360d746b7f2e32d762c66"
62
+ sha256: "8aab1771e1243a5063b8b0ff68042d67334e3feab9e95b9490f9a6ebf73b42ea"
63
url: "https://pub.dev"
64
source: hosted
65
- version: "2.1.1"
65
+ version: "2.1.2"
66
build:
67
dependency: transitive
68
description:
@@ -140,10 +140,10 @@ packages:
140
dependency: transitive
141
description:
142
name: characters
143
- sha256: "04a925763edad70e8443c99234dc3328f442e811f1d8fd1a72f1c8ad0f69a605"
143
+ sha256: f71061c654a3380576a52b451dd5532377954cf9dbd272a78fc8479606670803
144
url: "https://pub.dev"
145
source: hosted
146
- version: "1.3.0"
146
+ version: "1.4.0"
147
checked_yaml:
148
dependency: transitive
149
description:
@@ -156,10 +156,10 @@ packages:
156
dependency: transitive
157
description:
158
name: clock
159
- sha256: cb6d7f03e1de671e34607e909a7213e31d7752be4fb66a86d29fe1eb14bfb5cf
159
+ sha256: fddb70d9b5277016c77a80201021d40a2247104d9f4aa7bab7157b7e3f05b84b
160
url: "https://pub.dev"
161
source: hosted
162
- version: "1.1.1"
162
+ version: "1.1.2"
163
code_builder:
164
dependency: transitive
165
description:
@@ -172,10 +172,10 @@ packages:
172
dependency: transitive
173
description:
174
name: collection
175
- sha256: a1ace0a119f20aabc852d165077c036cd864315bd99b7eaa10a60100341941bf
175
+ sha256: "2f5709ae4d3d59dd8f7cd309b4e023046b57d8a6c82130785d2b0e5868084e76"
176
url: "https://pub.dev"
177
source: hosted
178
- version: "1.19.0"
178
+ version: "1.19.1"
179
convert:
180
dependency: transitive
181
description:
@@ -243,10 +243,10 @@ packages:
243
dependency: transitive
244
description:
245
name: fake_async
246
- sha256: "511392330127add0b769b75a987850d136345d9227c6b94c96a04cf4a391bf78"
246
+ sha256: "5368f224a74523e8d2e7399ea1638b37aecfca824a3cc4dfdf77bf1fa905ac44"
247
url: "https://pub.dev"
248
source: hosted
249
- version: "1.3.1"
249
+ version: "1.3.3"
250
ffi:
251
dependency: "direct main"
252
description:
@@ -405,18 +405,18 @@ packages:
405
dependency: transitive
406
description:
407
name: leak_tracker
408
- sha256: "7bb2830ebd849694d1ec25bf1f44582d6ac531a57a365a803a6034ff751d2d06"
408
+ sha256: "6bb818ecbdffe216e81182c2f0714a2e62b593f4a4f13098713ff1685dfb6ab0"
409
url: "https://pub.dev"
410
source: hosted
411
- version: "10.0.7"
411
+ version: "10.0.9"
412
leak_tracker_flutter_testing:
413
dependency: transitive
414
description:
415
name: leak_tracker_flutter_testing
416
- sha256: "9491a714cca3667b60b5c420da8217e6de0d1ba7a5ec322fab01758f6998f379"
416
+ sha256: f8b613e7e6a13ec79cfdc0e97638fddb3ab848452eff057653abd3edba760573
417
url: "https://pub.dev"
418
source: hosted
419
- version: "3.0.8"
419
+ version: "3.0.9"
420
leak_tracker_testing:
421
dependency: transitive
422
description:
@@ -445,10 +445,10 @@ packages:
445
dependency: transitive
446
description:
447
name: matcher
448
- sha256: d2323aa2060500f906aa31a895b4030b6da3ebdcc5619d14ce1aada65cd161cb
448
+ sha256: dc58c723c3c24bf8d3e2d3ad3f2f9d7bd9cf43ec6feaa64181775e60190153f2
449
url: "https://pub.dev"
450
source: hosted
451
- version: "0.12.16+1"
451
+ version: "0.12.17"
452
material_color_utilities:
453
dependency: transitive
454
description:
@@ -461,10 +461,10 @@ packages:
461
dependency: transitive
462
description:
463
name: meta
464
- sha256: bdb68674043280c3428e9ec998512fb681678676b3c54e773629ffe74419f8c7
464
+ sha256: e3641ec5d63ebf0d9b41bd43201a66e3fc79a65db5f61fc181f04cd27aab950c
465
url: "https://pub.dev"
466
source: hosted
467
- version: "1.15.0"
467
+ version: "1.16.0"
468
mime:
469
dependency: transitive
470
description:
@@ -493,8 +493,8 @@ packages:
493
dependency: "direct main"
494
description:
495
path: "impls/monero.dart"
496
- ref: "5225c47e5033d46bfd60e612e87b24c562f67efa"
497
- resolved-ref: "5225c47e5033d46bfd60e612e87b24c562f67efa"
496
+ ref: "07f7a7f80735130ebfa5842ddee5139076408c0d"
497
+ resolved-ref: "07f7a7f80735130ebfa5842ddee5139076408c0d"
498
url: "https://github.com/mrcyjanek/monero_c"
499
source: git
500
version: "0.0.0"
@@ -535,10 +535,10 @@ packages:
535
dependency: transitive
536
description:
537
name: path
538
- sha256: "087ce49c3f0dc39180befefc60fdb4acd8f8620e5682fe2476afd0b3688bb4af"
538
+ sha256: "75cca69d1490965be98c73ceaea117e8a04dd21217b37b292c9ddbec0d955bc5"
539
url: "https://pub.dev"
540
source: hosted
541
- version: "1.9.0"
541
+ version: "1.9.1"
542
path_provider:
543
dependency: "direct main"
544
description:
@@ -718,26 +718,26 @@ packages:
718
dependency: transitive
719
description:
720
name: source_span
721
- sha256: "53e943d4206a5e30df338fd4c6e7a077e02254531b138a15aec3bd143c1a8b3c"
721
+ sha256: "254ee5351d6cb365c859e20ee823c3bb479bf4a293c22d17a9f1bf144ce86f7c"
722
url: "https://pub.dev"
723
source: hosted
724
- version: "1.10.0"
724
+ version: "1.10.1"
725
stack_trace:
726
dependency: transitive
727
description:
728
name: stack_trace
729
- sha256: "9f47fd3630d76be3ab26f0ee06d213679aa425996925ff3feffdec504931c377"
729
+ sha256: "8b27215b45d22309b5cddda1aa2b19bdfec9df0e765f2de506401c071d38d1b1"
730
url: "https://pub.dev"
731
source: hosted
732
- version: "1.12.0"
732
+ version: "1.12.1"
733
stream_channel:
734
dependency: transitive
735
description:
736
name: stream_channel
737
- sha256: ba2aa5d8cc609d96bbb2899c28934f9e1af5cddbd60a827822ea467161eb54e7
737
+ sha256: "969e04c80b8bcdf826f8f16579c7b14d780458bd97f56d107d3950fdbeef059d"
738
url: "https://pub.dev"
739
source: hosted
740
- version: "2.1.2"
740
+ version: "2.1.4"
741
stream_transform:
742
dependency: transitive
743
description:
@@ -750,26 +750,26 @@ packages:
750
dependency: transitive
751
description:
752
name: string_scanner
753
- sha256: "688af5ed3402a4bde5b3a6c15fd768dbf2621a614950b17f04626c431ab3c4c3"
753
+ sha256: "921cd31725b72fe181906c6a94d987c78e3b98c2e205b397ea399d4054872b43"
754
url: "https://pub.dev"
755
source: hosted
756
- version: "1.3.0"
756
+ version: "1.4.1"
757
term_glyph:
758
dependency: transitive
759
description:
760
name: term_glyph
761
- sha256: a29248a84fbb7c79282b40b8c72a1209db169a2e0542bce341da992fe1bc7e84
761
+ sha256: "7f554798625ea768a7518313e58f83891c7f5024f88e46e7182a4558850a4b8e"
762
url: "https://pub.dev"
763
source: hosted
764
- version: "1.2.1"
764
+ version: "1.2.2"
765
test_api:
766
dependency: transitive
767
description:
768
name: test_api
769
- sha256: "664d3a9a64782fcdeb83ce9c6b39e78fd2971d4e37827b9b06c3aa1edc5e760c"
769
+ sha256: fb31f383e2ee25fbbfe06b40fe21e1e458d14080e3c67e7ba0acfde4df4e0bbd
770
url: "https://pub.dev"
771
source: hosted
772
- version: "0.7.3"
772
+ version: "0.7.4"
773
timing:
774
dependency: transitive
775
description:
@@ -821,10 +821,10 @@ packages:
821
dependency: transitive
822
description:
823
name: vm_service
824
- sha256: f6be3ed8bd01289b34d679c2b62226f63c0e69f9fd2e50a6b3c1c729a961041b
824
+ sha256: ddfa8d30d89985b96407efce8acbdd124701f96741f2d981ca860662f1c0dc02
825
url: "https://pub.dev"
826
source: hosted
827
- version: "14.3.0"
827
+ version: "15.0.0"
828
watcher:
829
dependency: "direct overridden"
830
description:
@@ -874,5 +874,5 @@ packages:
874
source: hosted
875
version: "3.1.3"
876
sdks:
877
- dart: ">=3.6.2 <4.0.0"
877
+ dart: ">=3.7.0-0 <4.0.0"
878
flutter: ">=3.24.0"
cw_wownero/pubspec.yaml
+2
-2
@@ -16,7 +16,7 @@ dependencies:
16
path_provider: ^2.0.11
17
mobx: ^2.0.7+4
18
flutter_mobx: ^2.0.6+1
19
- intl: ^0.19.0
19
+ intl: any
20
encrypt: ^5.0.1
21
polyseed: ^0.0.7
22
cw_core:
@@ -24,7 +24,7 @@ dependencies:
24
monero:
25
git:
26
url: https://github.com/mrcyjanek/monero_c
27
- ref: 5225c47e5033d46bfd60e612e87b24c562f67efa # monero_c hash
27
+ ref: 07f7a7f80735130ebfa5842ddee5139076408c0d # monero_c hash
28
path: impls/monero.dart
29
mutex: ^3.1.0
30
cw_zano/pubspec.lock
+39
-39
@@ -42,10 +42,10 @@ packages:
42
dependency: transitive
43
description:
44
name: async
45
- sha256: "947bfcf187f74dbc5e146c9eb9c0f10c9f8b30743e341481c1e2ed3ecc18c20c"
45
+ sha256: "758e6d74e971c3e5aceb4110bfd6698efc7f501675bcfe0c775459a8140750eb"
46
url: "https://pub.dev"
47
source: hosted
48
- version: "2.11.0"
48
+ version: "2.13.0"
49
blockchain_utils:
50
dependency: transitive
51
description:
@@ -59,10 +59,10 @@ packages:
59
dependency: transitive
60
description:
61
name: boolean_selector
62
- sha256: "6cfb5af12253eaf2b368f07bacc5a80d1301a071c73360d746b7f2e32d762c66"
62
+ sha256: "8aab1771e1243a5063b8b0ff68042d67334e3feab9e95b9490f9a6ebf73b42ea"
63
url: "https://pub.dev"
64
source: hosted
65
- version: "2.1.1"
65
+ version: "2.1.2"
66
build:
67
dependency: transitive
68
description:
@@ -140,10 +140,10 @@ packages:
140
dependency: transitive
141
description:
142
name: characters
143
- sha256: "04a925763edad70e8443c99234dc3328f442e811f1d8fd1a72f1c8ad0f69a605"
143
+ sha256: f71061c654a3380576a52b451dd5532377954cf9dbd272a78fc8479606670803
144
url: "https://pub.dev"
145
source: hosted
146
- version: "1.3.0"
146
+ version: "1.4.0"
147
checked_yaml:
148
dependency: transitive
149
description:
@@ -156,10 +156,10 @@ packages:
156
dependency: transitive
157
description:
158
name: clock
159
- sha256: cb6d7f03e1de671e34607e909a7213e31d7752be4fb66a86d29fe1eb14bfb5cf
159
+ sha256: fddb70d9b5277016c77a80201021d40a2247104d9f4aa7bab7157b7e3f05b84b
160
url: "https://pub.dev"
161
source: hosted
162
- version: "1.1.1"
162
+ version: "1.1.2"
163
code_builder:
164
dependency: transitive
165
description:
@@ -172,10 +172,10 @@ packages:
172
dependency: transitive
173
description:
174
name: collection
175
- sha256: a1ace0a119f20aabc852d165077c036cd864315bd99b7eaa10a60100341941bf
175
+ sha256: "2f5709ae4d3d59dd8f7cd309b4e023046b57d8a6c82130785d2b0e5868084e76"
176
url: "https://pub.dev"
177
source: hosted
178
- version: "1.19.0"
178
+ version: "1.19.1"
179
convert:
180
dependency: transitive
181
description:
@@ -243,10 +243,10 @@ packages:
243
dependency: transitive
244
description:
245
name: fake_async
246
- sha256: "511392330127add0b769b75a987850d136345d9227c6b94c96a04cf4a391bf78"
246
+ sha256: "5368f224a74523e8d2e7399ea1638b37aecfca824a3cc4dfdf77bf1fa905ac44"
247
url: "https://pub.dev"
248
source: hosted
249
- version: "1.3.1"
249
+ version: "1.3.3"
250
ffi:
251
dependency: "direct main"
252
description:
@@ -410,18 +410,18 @@ packages:
410
dependency: transitive
411
description:
412
name: leak_tracker
413
- sha256: "7bb2830ebd849694d1ec25bf1f44582d6ac531a57a365a803a6034ff751d2d06"
413
+ sha256: "6bb818ecbdffe216e81182c2f0714a2e62b593f4a4f13098713ff1685dfb6ab0"
414
url: "https://pub.dev"
415
source: hosted
416
- version: "10.0.7"
416
+ version: "10.0.9"
417
leak_tracker_flutter_testing:
418
dependency: transitive
419
description:
420
name: leak_tracker_flutter_testing
421
- sha256: "9491a714cca3667b60b5c420da8217e6de0d1ba7a5ec322fab01758f6998f379"
421
+ sha256: f8b613e7e6a13ec79cfdc0e97638fddb3ab848452eff057653abd3edba760573
422
url: "https://pub.dev"
423
source: hosted
424
- version: "3.0.8"
424
+ version: "3.0.9"
425
leak_tracker_testing:
426
dependency: transitive
427
description:
@@ -450,10 +450,10 @@ packages:
450
dependency: transitive
451
description:
452
name: matcher
453
- sha256: d2323aa2060500f906aa31a895b4030b6da3ebdcc5619d14ce1aada65cd161cb
453
+ sha256: dc58c723c3c24bf8d3e2d3ad3f2f9d7bd9cf43ec6feaa64181775e60190153f2
454
url: "https://pub.dev"
455
source: hosted
456
- version: "0.12.16+1"
456
+ version: "0.12.17"
457
material_color_utilities:
458
dependency: transitive
459
description:
@@ -466,10 +466,10 @@ packages:
466
dependency: transitive
467
description:
468
name: meta
469
- sha256: bdb68674043280c3428e9ec998512fb681678676b3c54e773629ffe74419f8c7
469
+ sha256: e3641ec5d63ebf0d9b41bd43201a66e3fc79a65db5f61fc181f04cd27aab950c
470
url: "https://pub.dev"
471
source: hosted
472
- version: "1.15.0"
472
+ version: "1.16.0"
473
mime:
474
dependency: transitive
475
description:
@@ -498,8 +498,8 @@ packages:
498
dependency: "direct main"
499
description:
500
path: "impls/monero.dart"
501
- ref: "5225c47e5033d46bfd60e612e87b24c562f67efa"
502
- resolved-ref: "5225c47e5033d46bfd60e612e87b24c562f67efa"
501
+ ref: "07f7a7f80735130ebfa5842ddee5139076408c0d"
502
+ resolved-ref: "07f7a7f80735130ebfa5842ddee5139076408c0d"
503
url: "https://github.com/mrcyjanek/monero_c"
504
source: git
505
version: "0.0.0"
@@ -532,10 +532,10 @@ packages:
532
dependency: transitive
533
description:
534
name: path
535
- sha256: "087ce49c3f0dc39180befefc60fdb4acd8f8620e5682fe2476afd0b3688bb4af"
535
+ sha256: "75cca69d1490965be98c73ceaea117e8a04dd21217b37b292c9ddbec0d955bc5"
536
url: "https://pub.dev"
537
source: hosted
538
- version: "1.9.0"
538
+ version: "1.9.1"
539
path_provider:
540
dependency: "direct main"
541
description:
@@ -715,26 +715,26 @@ packages:
715
dependency: transitive
716
description:
717
name: source_span
718
- sha256: "53e943d4206a5e30df338fd4c6e7a077e02254531b138a15aec3bd143c1a8b3c"
718
+ sha256: "254ee5351d6cb365c859e20ee823c3bb479bf4a293c22d17a9f1bf144ce86f7c"
719
url: "https://pub.dev"
720
source: hosted
721
- version: "1.10.0"
721
+ version: "1.10.1"
722
stack_trace:
723
dependency: transitive
724
description:
725
name: stack_trace
726
- sha256: "9f47fd3630d76be3ab26f0ee06d213679aa425996925ff3feffdec504931c377"
726
+ sha256: "8b27215b45d22309b5cddda1aa2b19bdfec9df0e765f2de506401c071d38d1b1"
727
url: "https://pub.dev"
728
source: hosted
729
- version: "1.12.0"
729
+ version: "1.12.1"
730
stream_channel:
731
dependency: transitive
732
description:
733
name: stream_channel
734
- sha256: ba2aa5d8cc609d96bbb2899c28934f9e1af5cddbd60a827822ea467161eb54e7
734
+ sha256: "969e04c80b8bcdf826f8f16579c7b14d780458bd97f56d107d3950fdbeef059d"
735
url: "https://pub.dev"
736
source: hosted
737
- version: "2.1.2"
737
+ version: "2.1.4"
738
stream_transform:
739
dependency: transitive
740
description:
@@ -747,26 +747,26 @@ packages:
747
dependency: transitive
748
description:
749
name: string_scanner
750
- sha256: "688af5ed3402a4bde5b3a6c15fd768dbf2621a614950b17f04626c431ab3c4c3"
750
+ sha256: "921cd31725b72fe181906c6a94d987c78e3b98c2e205b397ea399d4054872b43"
751
url: "https://pub.dev"
752
source: hosted
753
- version: "1.3.0"
753
+ version: "1.4.1"
754
term_glyph:
755
dependency: transitive
756
description:
757
name: term_glyph
758
- sha256: a29248a84fbb7c79282b40b8c72a1209db169a2e0542bce341da992fe1bc7e84
758
+ sha256: "7f554798625ea768a7518313e58f83891c7f5024f88e46e7182a4558850a4b8e"
759
url: "https://pub.dev"
760
source: hosted
761
- version: "1.2.1"
761
+ version: "1.2.2"
762
test_api:
763
dependency: transitive
764
description:
765
name: test_api
766
- sha256: "664d3a9a64782fcdeb83ce9c6b39e78fd2971d4e37827b9b06c3aa1edc5e760c"
766
+ sha256: fb31f383e2ee25fbbfe06b40fe21e1e458d14080e3c67e7ba0acfde4df4e0bbd
767
url: "https://pub.dev"
768
source: hosted
769
- version: "0.7.3"
769
+ version: "0.7.4"
770
timing:
771
dependency: transitive
772
description:
@@ -818,10 +818,10 @@ packages:
818
dependency: transitive
819
description:
820
name: vm_service
821
- sha256: f6be3ed8bd01289b34d679c2b62226f63c0e69f9fd2e50a6b3c1c729a961041b
821
+ sha256: ddfa8d30d89985b96407efce8acbdd124701f96741f2d981ca860662f1c0dc02
822
url: "https://pub.dev"
823
source: hosted
824
- version: "14.3.0"
824
+ version: "15.0.0"
825
watcher:
826
dependency: "direct overridden"
827
description:
@@ -871,5 +871,5 @@ packages:
871
source: hosted
872
version: "3.1.3"
873
sdks:
874
- dart: ">=3.6.2 <4.0.0"
874
+ dart: ">=3.7.0-0 <4.0.0"
875
flutter: ">=3.24.0"
cw_zano/pubspec.yaml
+2
-2
@@ -16,7 +16,7 @@ dependencies:
16
path_provider: ^2.0.11
17
mobx: ^2.1.4
18
flutter_mobx: ^2.0.6+1
19
- intl: ^0.19.0
19
+ intl: any
20
decimal: ^2.3.3
21
cw_core:
22
path: ../cw_core
@@ -25,7 +25,7 @@ dependencies:
25
monero:
26
git:
27
url: https://github.com/mrcyjanek/monero_c
28
- ref: 5225c47e5033d46bfd60e612e87b24c562f67efa # monero_c hash
28
+ ref: 07f7a7f80735130ebfa5842ddee5139076408c0d # monero_c hash
29
path: impls/monero.dart
30
dev_dependencies:
31
flutter_test:
docs/builds/ANDROID.md
+2
-2
@@ -18,8 +18,8 @@ In order to build the latest version of Cake Wallet, simply run the following:
18
git clone --branch main https://github.com/cake-tech/cake_wallet.git
19
# NOTE: Replace `main` with the latest release tag available at https://github.com/cake-tech/cake_wallet/releases/latest.
20
cd cake_wallet
21
-# docker build -t ghcr.io/cake-tech/cake_wallet:debian12-flutter3.27.4-ndkr28-go1.24.1-ruststablenightly . # Uncomment to build the docker image yourself instead of pulling it from the registry
22
-docker run -v$(pwd):$(pwd) -w $(pwd) -i --rm ghcr.io/cake-tech/cake_wallet:debian12-flutter3.27.4-ndkr28-go1.24.1-ruststablenightly bash -x << EOF
21
+# docker build -t ghcr.io/cake-tech/cake_wallet:debian12-flutter3.32.0-ndkr28-go1.24.1-ruststablenightly . # Uncomment to build the docker image yourself instead of pulling it from the registry
22
+docker run -v$(pwd):$(pwd) -w $(pwd) -i --rm ghcr.io/cake-tech/cake_wallet:debian12-flutter3.32.0-ndkr28-go1.24.1-ruststablenightly bash -x << EOF
23
set -x -e
24
pushd scripts/android
25
./build_torch.sh
docs/builds/LINUX.md
+2
-2
@@ -20,8 +20,8 @@ In order to build the latest version of Cake Wallet, simply run the following:
20
git clone --branch main https://github.com/cake-tech/cake_wallet.git
21
# NOTE: Replace `main` with the latest release tag available at https://github.com/cake-tech/cake_wallet/releases/latest.
22
cd cake_wallet
23
-# docker build -t ghcr.io/cake-tech/cake_wallet:debian12-flutter3.27.4-ndkr28-go1.24.1-ruststablenightly . # Uncomment to build the docker image yourself instead of pulling it from the registry
24
-docker run --privileged -v$(pwd):$(pwd) -w $(pwd) -i --rm ghcr.io/cake-tech/cake_wallet:debian12-flutter3.27.4-ndkr28-go1.24.1-ruststablenightly bash -x << EOF
23
+# docker build -t ghcr.io/cake-tech/cake_wallet:debian12-flutter3.32.0-ndkr28-go1.24.1-ruststablenightly . # Uncomment to build the docker image yourself instead of pulling it from the registry
24
+docker run --privileged -v$(pwd):$(pwd) -w $(pwd) -i --rm ghcr.io/cake-tech/cake_wallet:debian12-flutter3.32.0-ndkr28-go1.24.1-ruststablenightly bash -x << EOF
25
set -x -e
26
pushd scripts
27
./gen_android_manifest.sh
lib/locales/hausa_intl.dart
+8
@@ -1028,4 +1028,12 @@ class HaCupertinoLocalizations extends GlobalCupertinoLocalizations {
1028
@override
1029
// TODO: implement shareButtonLabel
1030
String get shareButtonLabel => "shareButtonLabel";
1031
+
1032
+ @override
1033
+ // TODO: implement backButtonLabel
1034
+ String get backButtonLabel => "backButtonLabel";
1035
+
1036
+ @override
1037
+ // TODO: implement cancelButtonLabel
1038
+ String get cancelButtonLabel => "cancelButtonLabel";
1039
}
lib/locales/yoruba_intl.dart
+8
@@ -1028,4 +1028,12 @@ class YoCupertinoLocalizations extends GlobalCupertinoLocalizations {
1028
@override
1029
// TODO: implement shareButtonLabel
1030
String get shareButtonLabel => "shareButtonLabel";
1031
+
1032
+ @override
1033
+ // TODO: implement backButtonLabel
1034
+ String get backButtonLabel => "backButtonLabel";
1035
+
1036
+ @override
1037
+ // TODO: implement cancelButtonLabel
1038
+ String get cancelButtonLabel => "cancelButtonLabel";
1039
}
lib/themes/theme_classes/dark_theme.dart
+1
-1
@@ -159,7 +159,7 @@ class DarkTheme extends MaterialThemeBase {
159
foregroundColor: colorScheme.onSurface,
160
elevation: 0,
161
),
162
- cardTheme: CardTheme(
162
+ cardTheme: CardThemeData(
163
color: colorScheme.surface,
164
elevation: 1,
165
shape: RoundedRectangleBorder(
lib/themes/theme_classes/light_theme.dart
+1
-1
@@ -160,7 +160,7 @@ class LightTheme extends MaterialThemeBase {
160
foregroundColor: colorScheme.onSurface,
161
elevation: 0,
162
),
163
- cardTheme: CardTheme(
163
+ cardTheme: CardThemeData(
164
color: colorScheme.surface,
165
elevation: 1,
166
shape: RoundedRectangleBorder(
pubspec_base.yaml
+10
-4
@@ -3,7 +3,7 @@ dependencies:
3
sdk: flutter
4
flutter_localizations:
5
sdk: flutter
6
- intl: ^0.19.0
6
+ intl: any
7
url_launcher: 6.3.1
8
qr_flutter:
9
git:
@@ -42,7 +42,7 @@ dependencies:
42
flutter_spinkit: ^5.1.0
43
uni_links:
44
git:
45
- url: https://github.com/MrCyjaneK/uni_links
45
+ url: https://github.com/cake-tech/uni_links
46
ref: 1989db3f5d625e2fffbad7b85a3b1b8c78c6dfa1
47
path: uni_links
48
lottie: ^3.3.1
@@ -121,7 +121,7 @@ dependencies:
121
git:
122
url: https://github.com/cake-tech/on_chain.git
123
ref: cake-update-v2
124
- reown_walletkit: ^1.1.5+1
124
+ reown_walletkit: 1.3.1
125
blockchain_utils:
126
git:
127
url: https://github.com/cake-tech/blockchain_utils
@@ -142,7 +142,7 @@ dependencies:
142
dnssec_proof:
143
git:
144
url: https://github.com/MrCyjaneK/dnssec_proof.git
145
- ref: a2b0bdac343afc14fc38dfb81f28147eab50be05
145
+ ref: b48a9defddce036048bae02e2069ebcbd6824afc
146
torch_dart:
147
path: ./scripts/torch_dart
148
@@ -176,6 +176,11 @@ dependency_overrides:
176
url: https://github.com/cake-tech/web3dart.git
177
ref: cake
178
flutter_secure_storage_platform_interface: 1.0.2
179
+ flutter_secure_storage:
180
+ git:
181
+ url: https://github.com/cake-tech/flutter_secure_storage.git
182
+ path: flutter_secure_storage
183
+ ref: ca897a08677edb443b366352dd7412735e098e7b
184
protobuf: ^3.1.0
185
bitcoin_base:
186
git:
@@ -192,6 +197,7 @@ dependency_overrides:
197
ref: 27ad7c2efae8d7460325c74b90f660085cbd0685
198
web_socket_channel: ^3.0.2
199
freezed_annotation: 2.4.4
200
+ intl: 0.20.2
201
202
flutter_icons:
203
image_path: "assets/images/app_logo.png"
scripts/android/build_decred.sh
+1
@@ -69,6 +69,7 @@ do
69
rm -fr ./build
70
fi
71
72
+ export CGO_LDFLAGS="-O2 -g -s -w -Wl,-z,max-page-size=16384"
73
CLANG_PATH="${NDK_BIN_PATH}/${TRIPLET}${ANDROID_API_VERSION}-clang"
74
CGO_ENABLED=1 GOOS=android GOARCH=${TARGET} CC=${CLANG_PATH} CXX=${CLANG_PATH}++ \
75
go build -v -buildmode=c-shared -o ./build/${TRIPLET}-libdcrwallet.so ./cgo
scripts/android/build_mwebd.sh
+5
-3
@@ -25,24 +25,26 @@ export ANDROID_SDK="${HOME}/Library/Android/sdk"
25
export NDK_BIN="${ANDROID_HOME}/ndk/${ANDROID_NDK_VERSION}/toolchains/llvm/prebuilt/$(uname | tr '[:upper:]' '[:lower:]')-x86_64/bin"
26
27
# Compile for x86_64 architecture and place the binary file in the android/src/main/jniLibs/x86_64 folder
28
+export CGO_LDFLAGS="-O2 -g -s -w -Wl,-z,max-page-size=16384"
29
+
30
CGO_ENABLED=1 \
31
GOOS=android \
32
GOARCH=amd64 \
33
CC=${NDK_BIN}/x86_64-linux-android21-clang \
32
-go build -buildmode=c-shared -o ${ANDROID_OUT}/x86_64/libmweb.so .
34
+go build -v -buildmode=c-shared -o ${ANDROID_OUT}/x86_64/libmweb.so .
35
36
# Compile for arm64 architecture and place the binary file in the android/src/main/jniLibs/arm64-v8a folder
37
CGO_ENABLED=1 \
38
GOOS=android \
39
GOARCH=arm64 \
40
CC=${NDK_BIN}/aarch64-linux-android21-clang \
39
-go build -buildmode=c-shared -o ${ANDROID_OUT}/arm64-v8a/libmweb.so .
41
+go build -v -buildmode=c-shared -o ${ANDROID_OUT}/arm64-v8a/libmweb.so .
42
43
# Compile for armv7a architecture and place the binary file in the android/src/main/jniLibs/armeabi-v7a folder
44
CGO_ENABLED=1 \
45
GOOS=android \
46
GOARCH=arm \
47
CC=${NDK_BIN}/armv7a-linux-androideabi21-clang \
46
-go build -buildmode=c-shared -o ${ANDROID_OUT}/armeabi-v7a/libmweb.so .
48
+go build -v -buildmode=c-shared -o ${ANDROID_OUT}/armeabi-v7a/libmweb.so .
49
cd ../
50
dart run ffigen --config ffigen_config.yaml
scripts/android/build_reown_deps.sh
new
+32
@@ -0,0 +1,32 @@
1
+#!/bin/bash
2
+
3
+# NOTE: This script is used to build the reown dependencies for the android app.
4
+# ideally we should be able to get rid of this script when yttrium updates at some point.
5
+# CI uses prebuilds that are provided as-is at https://static.mrcyjanek.net/lfs/cake-yttrium/
6
+# please, do **NOT** use those prebuilds for production.
7
+
8
+cd "$(dirname $0)"
9
+
10
+set -x -e
11
+
12
+if [ ! -e yttrium/.git ]; then
13
+ rm -rf yttrium
14
+ git clone https://github.com/reown-com/yttrium
15
+fi
16
+cd yttrium
17
+# git checkout ed8e8f5af2029406263be5993e484c3a69c1db7a
18
+git reset --hard
19
+git checkout 9f81ab8e0fb879a994392d603b7908b2104d1735
20
+git reset --hard
21
+
22
+sed -i.bak "s/-i ''/-i.bak/g" build-kotlin.sh
23
+sed -i.bak "s/--bin uniffi-bindgen generate/-p kotlin-ffi --bin uniffi-bindgen generate/g" build-kotlin.sh
24
+sed -i.bak "s/stat -f%z/echo stat -f%z/g" build-kotlin.sh
25
+sed -i.bak "s/ -t arm64-v8a/ -t arm64-v8a -t x86_64/g" build-kotlin.sh
26
+
27
+cargo install cargo-ndk
28
+ENABLE_STRIP=false PROFILE=release bash -x ./build-kotlin.sh
29
+
30
+cp target/x86_64-linux-android/release/deps/libuniffi_yttrium.so ../../../android/app/src/main/jniLibs/x86_64/libuniffi_yttrium.so
31
+cp target/aarch64-linux-android/release/deps/libuniffi_yttrium.so ../../../android/app/src/main/jniLibs/arm64-v8a/libuniffi_yttrium.so
32
+cp target/armv7-linux-androideabi/release/deps/libuniffi_yttrium.so ../../../android/app/src/main/jniLibs/armeabi-v7a/libuniffi_yttrium.so
\ No newline at end of file
scripts/android/check_16kb_align.sh
new
+117
@@ -0,0 +1,117 @@
1
+#!/bin/bash
2
+progname="${0##*/}"
3
+progname="${progname%.sh}"
4
+
5
+# usage: check_elf_alignment.sh [path to *.so files|path to *.apk]
6
+
7
+cleanup_trap() {
8
+ if [ -n "${tmp}" -a -d "${tmp}" ]; then
9
+ rm -rf ${tmp}
10
+ fi
11
+ exit $1
12
+}
13
+
14
+usage() {
15
+ echo "Host side script to check the ELF alignment of shared libraries."
16
+ echo "Shared libraries are reported ALIGNED when their ELF regions are"
17
+ echo "16 KB or 64 KB aligned. Otherwise they are reported as UNALIGNED."
18
+ echo
19
+ echo "Usage: ${progname} [input-path|input-APK|input-APEX]"
20
+}
21
+
22
+if [ ${#} -ne 1 ]; then
23
+ cd $(dirname $0)/../..
24
+ usage
25
+ cd build/app/outputs/flutter-apk
26
+ bash ../../../../scripts/android/check_16kb_align.sh app-release.apk
27
+ exit
28
+fi
29
+
30
+case ${1} in
31
+ --help | -h | -\?)
32
+ usage
33
+ exit
34
+ ;;
35
+
36
+ *)
37
+ dir="${1}"
38
+ ;;
39
+esac
40
+
41
+if ! [ -f "${dir}" -o -d "${dir}" ]; then
42
+ echo "Invalid file: ${dir}" >&2
43
+ exit 1
44
+fi
45
+
46
+if [[ "${dir}" == *.apk ]]; then
47
+ trap 'cleanup_trap' EXIT
48
+
49
+ echo
50
+ echo "Recursively analyzing $dir"
51
+ echo
52
+
53
+ if { zipalign --help 2>&1 | grep -q "\-P <pagesize_kb>"; }; then
54
+ echo "=== APK zip-alignment ==="
55
+ zipalign -v -c -P 16 4 "${dir}" | egrep 'lib/arm64-v8a|lib/x86_64|Verification'
56
+ echo "========================="
57
+ else
58
+ echo "NOTICE: Zip alignment check requires build-tools version 35.0.0-rc3 or higher."
59
+ echo " You can install the latest build-tools by running the below command"
60
+ echo " and updating your \$PATH:"
61
+ echo
62
+ echo " sdkmanager \"build-tools;35.0.0-rc3\""
63
+ fi
64
+
65
+ dir_filename=$(basename "${dir}")
66
+ tmp=$(mktemp -d -t "${dir_filename%.apk}_out_XXXXX")
67
+ unzip "${dir}" lib/* -d "${tmp}" >/dev/null 2>&1
68
+ dir="${tmp}"
69
+fi
70
+
71
+if [[ "${dir}" == *.apex ]]; then
72
+ trap 'cleanup_trap' EXIT
73
+
74
+ echo
75
+ echo "Recursively analyzing $dir"
76
+ echo
77
+
78
+ dir_filename=$(basename "${dir}")
79
+ tmp=$(mktemp -d -t "${dir_filename%.apex}_out_XXXXX")
80
+ deapexer extract "${dir}" "${tmp}" || { echo "Failed to deapex." && exit 1; }
81
+ dir="${tmp}"
82
+fi
83
+
84
+RED="\e[31m"
85
+GREEN="\e[32m"
86
+ENDCOLOR="\e[0m"
87
+
88
+unaligned_libs=()
89
+
90
+echo
91
+echo "=== ELF alignment ==="
92
+
93
+matches="$(find "${dir}" -type f | grep -E '/(arm64-v8a|x86_64)/')"
94
+IFS=$'\n'
95
+for match in $matches; do
96
+ # We could recursively call this script or rewrite it to though.
97
+ [[ "${match}" == *".apk" ]] && echo "WARNING: doesn't recursively inspect .apk file: ${match}"
98
+ [[ "${match}" == *".apex" ]] && echo "WARNING: doesn't recursively inspect .apex file: ${match}"
99
+
100
+ [[ $(file "${match}") == *"ELF"* ]] || continue
101
+
102
+ res="$(objdump -p "${match}" | grep LOAD | awk '{ print $NF }' | head -1)"
103
+ if [[ $res =~ 2\*\*(1[4-9]|[2-9][0-9]|[1-9][0-9]{2,}) ]]; then
104
+ echo -e "${match}: ${GREEN}ALIGNED${ENDCOLOR} ($res)"
105
+ else
106
+ echo -e "${match}: ${RED}UNALIGNED${ENDCOLOR} ($res)"
107
+ unaligned_libs+=("${match}")
108
+ fi
109
+done
110
+
111
+if [ ${#unaligned_libs[@]} -gt 0 ]; then
112
+ echo -e "${RED}Found ${#unaligned_libs[@]} unaligned libs (only arm64-v8a/x86_64 libs need to be aligned).${ENDCOLOR}"
113
+ exit ${#unaligned_libs[@]}
114
+elif [ -n "${dir_filename}" ]; then
115
+ echo -e "ELF Verification Successful"
116
+fi
117
+echo "====================="
scripts/linux/build_cake_release.sh
+1
-1
@@ -14,7 +14,7 @@ cd "$SCRIPT_DIR"
14
BUILD_AMD64=false
15
BUILD_ARM64=false
16
APP_TYPE="cakewallet"
17
-DOCKER_IMAGE="ghcr.io/cake-tech/cake_wallet:debian12-flutter3.27.4-ndkr28-go1.24.1-ruststablenightly"
17
+DOCKER_IMAGE="ghcr.io/cake-tech/cake_wallet:debian12-flutter3.32.0-ndkr28-go1.24.1-ruststablenightly"
18
19
# Parse arguments
20
for arg in "$@"
scripts/prepare_moneroc.sh
+1
-1
@@ -9,7 +9,7 @@ then
9
rm -rf monero_c
10
git clone https://github.com/mrcyjanek/monero_c --branch master monero_c
11
cd monero_c
12
- git checkout 5225c47e5033d46bfd60e612e87b24c562f67efa
12
+ git checkout 07f7a7f80735130ebfa5842ddee5139076408c0d
13
git reset --hard
14
git submodule update --init --force --recursive
15
./apply_patches.sh monero
tool/configure.dart
+1
@@ -1747,6 +1747,7 @@ class DefaultSecureStorage extends SecureStorage {
1747
1748
static final _instance = DefaultSecureStorage._(FlutterSecureStorage(
1749
iOptions: IOSOptions(accessibility: KeychainAccessibility.first_unlock),
1750
+ aOptions: AndroidOptions(encryptedSharedPreferences: true),
1751
));
1752
1753
final FlutterSecureStorage _secureStorage;
tool/localization/localization_constants.dart
+21
@@ -45,6 +45,27 @@ class S implements WidgetsLocalizations {
45
46
@override
47
String get reorderItemRight => "reorderItemRight";
48
+
49
+ @override
50
+ String get copyButtonLabel => "copyButtonLabel";
51
+
52
+ @override
53
+ String get cutButtonLabel => "cutButtonLabel";
54
+
55
+ @override
56
+ String get lookUpButtonLabel => "lookUpButtonLabel";
57
+
58
+ @override
59
+ String get pasteButtonLabel => "pasteButtonLabel";
60
+
61
+ @override
62
+ String get searchWebButtonLabel => "searchWebButtonLabel";
63
+
64
+ @override
65
+ String get selectAllButtonLabel => "selectAllButtonLabel";
66
+
67
+ @override
68
+ String get shareButtonLabel => "shareButtonLabel";
69
""";
70
71
const part2 = """